Page MenuHomePhabricator

Combine filters and splits on wikistats UI
Open, HighPublic

Description

Combine filters and splits on wikistats UI.

Let's first do some mocks to decide how the visuals looks with pointed example for editing metrics

Event Timeline

Nuria created this task.Apr 8 2020, 6:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2020, 6:51 PM
Milimetric assigned this task to fdans.Apr 13 2020, 3:46 PM
Milimetric triaged this task as High priority.
Milimetric moved this task from Incoming to Wikistats on the Analytics board.
Milimetric added a project: Analytics-Kanban.
fdans moved this task from Next Up to In Progress on the Analytics-Kanban board.Jun 18 2020, 9:34 AM
fdans added a comment.Jun 18 2020, 9:40 AM

Mocks created:

One thing to consider is that this is not the final form and feedback is appreciated. @Milimetric gave two pieces of feedback that aren't fully implemented in these mocks but that will be in the final form:

  • No special color on dimension names, instead use a mark that indicates that the dimension is being split (like the blue circle in the 4th artboard)
  • Don't repeat the "filter" wording on the spawned tabs

Change 607768 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] [wip] Add filter/split component to Wikistats

https://gerrit.wikimedia.org/r/607768

Change 607768 abandoned by Fdans:
[analytics/wikistats2@master] [wip] Add filter/split component to Wikistats

Reason:
rebase shenanigans

https://gerrit.wikimedia.org/r/607768

Change 613114 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] [wip] Add filter/split component to Wikistats

https://gerrit.wikimedia.org/r/613114

Change 613114 merged by Fdans:
[analytics/wikistats2@master] Add filter/split component to Wikistats

https://gerrit.wikimedia.org/r/613114

Nuria moved this task from In Code Review to Done on the Analytics-Kanban board.Wed, Sep 30, 11:29 PM

ta-ta-channn!!!

Let's close when @fdans sends announcement e-mail

Nuria added a comment.Mon, Oct 12, 5:30 PM

ping on announcement e-mail to wikitech-l (cc @fdans )